    001    package org.junit.runners.model;
    002
    003    /**
    004     * Represents a receiver for values of annotated fields/methods together with the declaring member.
    005     *
    006     * @see TestClass#collectAnnotatedFieldValues(Object, Class, Class, MemberValueConsumer)
    007     * @see TestClass#collectAnnotatedMethodValues(Object, Class, Class, MemberValueConsumer)
    008     * @since 4.13
    009     */
    010    public interface MemberValueConsumer<T> {
    011        /**
    012         * Receives the next value and its declaring member.
    013         *
    014         * @param member declaring member ({@link FrameworkMethod} or {@link FrameworkField})
    015         * @param value the value of the next member
    016         */
    017        void accept(FrameworkMember<?> member, T value);
    018    }